# Get domain suggestions Get suggested available domain names based on your search queries. Supports multiple suggestion modes: - EXACT: Exact match lookups - PREFIX_SUFFIX: Variations with prefixes and suffixes added - RELATED: Semantically related domain name suggestions - RELATED_PARTIAL: Partial matches from related suggestions Endpoint: GET /suggestions/domains Version: 1.0.0 Security: bearer ## Query parameters: - `query` (array, required) - `ending` (array, required) ## Response 200 fields (application/json): - `@type` (string, required) Enum: "unstoppabledomains.com/partner.v3.List" - `items` (array, required) - `items.name` (string, required) - `items.price` (object, required) - `items.price.type` (string, required) Enum: "STANDARD", "PREMIUM", "DEFERRED" - `items.price.listPrice` (object, required) - `items.price.listPrice.usdCents` (number, required) - `items.price.adjustments` (array) - `items.price.subTotal` (object, required) - `items.price.validUntilTimestamp` (number) ## Response 400 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 401 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 403 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 500 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string)